summaryrefslogtreecommitdiff
path: root/script/update
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-10-20 21:55:57 +0100
committerLeah Rowe <leah@libreboot.org>2023-10-20 21:55:57 +0100
commit5162b912b214b929814f2ae8789721894c723940 (patch)
tree5c1c9ab460cb9679ab53b7d12555d31b95c2797c /script/update
parentf0cf710f682f1027225bb1aebdc5fd791b236471 (diff)
update/release: clean up temporary crossgcc dir
clean it up after copying the tarballs i really hate how this logic is written, it's clunky but it should work; the only issue is that it's quite slow, and inefficient on use of disk space. however, i've not yet figured out how to reproducible add files to a tarball, once the tarball has been created, and i rely on sorting (of file names) when creating them. it's really not a problem because normal people won't use this script, only i or anyone who wants to test out the libreboot release infrastructure. this script is largely intended to *work* but i'm still annoyed by how crappy it is. i'll fix it after the Libreboot 20231021 release. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update')
-rwxr-xr-xscript/update/release1
1 files changed, 1 insertions, 0 deletions
diff --git a/script/update/release b/script/update/release
index 421ff21a..d6bb9b7b 100755
--- a/script/update/release
+++ b/script/update/release
@@ -84,6 +84,7 @@ build_release()
"${srcdir}/src/coreboot/${_xgcc##*/}/util/crossgcc/tarballs" \
|| err "!move xgcc tarballs to ${srcdir}/xgcc/${_xgcc##*/}"
done
+ rm -Rf "${vdir}/crossgcc" || err "!rm -Rf \"${vdir}/crossgcc\""
(
cd "${srcdir%/*}" || err "${_xm}: mktarball \"${srcdir}\""
mktarball "${srcdir##*/}" "${srcdir##*/}.tar.xz" || err "${_xm}: mksrc"